%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )

%define _bao_name        openbao
%define _bao_ug_name     %{_bao_name}-sysusers
%define _bao_ug_pkgname  %{_bao_ug_name}
%define _bao_ug_comment  OpenBao users & groups

# https://spdx.org/licenses/MIT.html
%global _bao_ug_license MIT

%define _bao_ug_file_in  %{_bao_name}.sysusers
%define _bao_ug_file_out %{_bao_name}.conf
%define _bao_ug_dir      /etc/sysusers.d

%global _dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

# NEVRA (n-e:v-r.a)
Name:              %{_bao_ug_name}
Epoch:             0
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch

Summary:           %{_bao_ug_comment}
License:           %{_bao_ug_license}

Source0:           %{_bao_ug_file_in}
Provides:          group(%{_bao_name})
Provides:          user(%{_bao_name})

BuildRequires:     coreutils
BuildRequires:     systemd-rpm-macros
%{?sysusers_requires_compat}

%description
%{_bao_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_bao_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_bao_ug_dir}/%{_bao_ug_file_out}

%check

%pre
%sysusers_create_compat %{SOURCE0}

%files
%dir %{_bao_ug_dir}
%{_bao_ug_dir}/%{_bao_ug_file_out}

%changelog
* Sat Mar  1 2025 pgnd _ <null@null.loc>
- bump 1740873384
